/*
Copyright (C) 1996-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwCanvasP_h
#define s_MwCanvasP_h

#include "MwCanvas.h"
/* include superclass private header file */
#include <X11/CoreP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRCanvasResource "CanvasResource"

typedef struct {
    int empty;
} MwCanvasClassPart;

typedef struct s_MwCanvasClassRec {
    CoreClassPart	core_class;
    MwCanvasClassPart	canvas_class;
} MwCanvasClassRec;

extern MwCanvasClassRec mwCanvasClassRec;

typedef struct {
    /* resources */
	XtCallbackList callbacks;
    /* private state */
} MwCanvasPart;

typedef struct s_MwCanvasRec {
    CorePart		core;
    MwCanvasPart	canvas;
} MwCanvasRec;

#endif /* s_MwCanvasP_h */
