/*
Copyright (C) 1999-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwCheck_h
#define s_MwCheck_h

/****************************************************************
 *
 * MwCheck widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

typedef enum {
	MwCheckWin,
	MwRadioWin,
	MwCheckMotif,
	MwRadioMotif
} MwCheckStyle;

#ifndef XtNradioStart
#define XtNradioStart "radioStart"
#define XtCRadioStart "RadioStart"
#endif
#ifndef XtNradioGroup
#define XtNradioGroup "radioGroup"
#define XtCRadioGroup "RadioGroup"
#endif
#ifndef XtNcheckStyle
#define XtNcheckStyle "checkStyle"
#define XtCCheckStyle "CheckStyle"
#endif
#ifndef XtNstate
#define XtNstate "state"
#define XtCState "State"
#endif

/* declare specific MwCheckWidget class and instance datatypes */

typedef struct s_MwCheckClassRec*	MwCheckWidgetClass;
typedef struct s_MwCheckRec*		MwCheckWidget;

/* declare the class constant */

extern WidgetClass mwCheckWidgetClass;

#endif /* s_MwCheck_h */

