/*
Copyright (C) 1999-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwCheckP_h
#define s_MwCheckP_h

#include "MwCheck.h"
/* include superclass private header file */
#include <X11/CoreP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRCheckResource "CheckResource"

typedef struct {
    int empty;
} MwCheckClassPart;

typedef struct s_MwCheckClassRec {
    CoreClassPart	core_class;
    MwCheckClassPart	check_class;
} MwCheckClassRec;

extern MwCheckClassRec checkClassRec;

typedef struct {
    /* resources */
	XFontStruct *font;
	Boolean state;		/* True or False */
	MwCheckStyle style;	/* Siag[Check|Radio][Win|Motif] */
	Widget start;		/* Where to start searching for siblings */
	Widget group;		/* First widget in group, None for check btn */
	char *label;		/* text to display or NULL */
	XtCallbackList callbacks;
    /* private state */
	GC gc;
	Pixmap cmon, cmoff, tbon, tboff, r16on, r16off, rmon, rmoff;
} MwCheckPart;

typedef struct s_MwCheckRec {
    CorePart		core;
    MwCheckPart	check;
} MwCheckRec;

#endif /* s_MwCheckP_h */
