/*
Copyright (C) 1998-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef _MwCombo_h
#define _MwCombo_h

#include "MwCombo.h"
#include <X11/Xmu/Converters.h>

/***********************************************************************
 *
 * MwCombo Widget (subclass of CompositeClass)
 *
 ***********************************************************************/

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 hSpace 	     HSpace		Dimension	4
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 orientation	     Orientation	XtOrientation	vertical
 vSpace 	     VSpace		Dimension	4
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/


/* New fields */
#ifndef XtNtextCallback
#define XtNtextCallback "textCallback"
#define XtCTextCallback "TextCallback"
#endif
#ifndef XtNlistCallback
#define XtNlistCallback "listCallback"
#define XtCListCallback "ListCallback"
#endif

#define XtNcomboTop "comboTop"
#define XtCComboTop "ComboTop"
#define XtNcomboData "comboData"
#define XtCComboData "ComboData"
#define XtNcomboNData "comboNData"
#define XtCComboNData "ComboNData"

/* Class record constants */

extern WidgetClass mwComboWidgetClass;

typedef struct _MwComboClassRec *MwComboWidgetClass;
typedef struct _MwComboRec      *MwComboWidget;

extern void MwComboTextChange(Widget, char *);

#endif /* _MwCombo_h */
