/*
Copyright (C) 1998-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

/* 
 * MwComboP.h - Private definitions for MwCombo widget
 * 
 */

#ifndef _MwComboP_h
#define _MwComboP_h

/***********************************************************************
 *
 * MwCombo Widget Private Data
 *
 ***********************************************************************/

#include "MwCombo.h"
#include "MwFrameP.h"
#include <X11/Xmu/Converters.h>

/* New fields for the MwCombo widget class record */
typedef struct {int empty;} MwComboClassPart;

/* Full class record declaration */
typedef struct _MwComboClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    MwFrameClassPart    frame_class;
    MwComboClassPart	combo_class;
} MwComboClassRec;

extern MwComboClassRec mwComboClassRec;

/* New fields for the MwCombo widget record */
typedef struct {
    /* resources */
	XtCallbackList text_callbacks;
	XtCallbackList list_callbacks;
	Widget topLevel;

    /* private state */
	char **data;
	int ndata;
	Widget text, cmd, shell, viewport, list;
} MwComboPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _MwComboRec {
    CorePart	    core;
    CompositePart   composite;
    MwFramePart     frame;
    MwComboPart     combo;
} MwComboRec;

#endif /* _MwComboP_h */
