/*
Copyright (C) 1999-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwNotebook_h
#define s_MwNotebook_h

/****************************************************************
 *
 * MwNotebook widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

#define XtNnotebookSelected "notebookSelected"
#define XtCNotebookSelected "NotebookSelected"
#define XtNnotebookSelect "notebookSelect"
#define XtCNotebookSelect "NotebookSelect"
#define XtNnotebookTop "notebookTop"
#define XtCNotebookTop "NotebookTop"
#define XtNnotebookCount "notebookCount"
#define XtCNotebookCount "NotebookCount"

/* declare specific MwNotebookWidget class and instance datatypes */

typedef struct s_MwNotebookClassRec*	MwNotebookWidgetClass;
typedef struct s_MwNotebookRec*		MwNotebookWidget;

/* declare the class constant */

extern WidgetClass mwNotebookWidgetClass;

extern int MwNotebookInsert(Widget, char *, int);
extern void MwNotebookRemove(Widget, int);
extern int MwNotebookTextToPos(Widget, char *);
extern char *MwNotebookPosToText(Widget, int);

#endif /* s_MwNotebook_h */

