/*
Copyright (C) 1999  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwNotebookP_h
#define s_MwNotebookP_h

#include "MwNotebook.h"
/* include superclass private header file */
#include <X11/CoreP.h>

/* define unique representation types not found in <X11/StringDefs.h> */

#define XtRNotebookResource "NotebookResource"

typedef struct {
    int empty;
} MwNotebookClassPart;

typedef struct s_MwNotebookClassRec {
    CoreClassPart	core_class;
    MwNotebookClassPart	notebook_class;
} MwNotebookClassRec;

extern MwNotebookClassRec mwNotebookClassRec;

typedef struct {
    /* resources */
	XFontStruct *font;
	int selected;
	void (*select)(Widget, int);
	int top;
	int ntext;
    /* private state */
	GC tab_gc;
	char **text;
} MwNotebookPart;

typedef struct s_MwNotebookRec {
    CorePart		core;
    MwNotebookPart	notebook;
} MwNotebookRec;

#endif /* s_MwNotebookP_h */
