/*
Copyright (C) 2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef _MwSpinner_h
#define _MwSpinner_h

#include <X11/Xmu/Converters.h>
#include "MwFrame.h"

/***********************************************************************
 *
 * MwSpinner Widget (subclass of FrameClass)
 *
 ***********************************************************************/

/* Parameters:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 hSpace 	     HSpace		Dimension	4
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 orientation	     Orientation	XtOrientation	vertical
 vSpace 	     VSpace		Dimension	4
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/


/* New fields */

#ifndef XtNmin
#define XtNmin "min"
#define XtCMin "Min"
#endif
#ifndef XtNmax
#define XtNmax "max"
#define XtCMax "Max"
#endif
#ifndef XtNstep
#define XtNstep "step"
#define XtCStep "Step"
#endif
#ifndef XtNvalue
#define XtNvalue "value"
#define XtCValue "Value"
#endif

/* Class record constants */

extern WidgetClass mwSpinnerWidgetClass;

typedef struct _MwSpinnerClassRec *MwSpinnerWidgetClass;
typedef struct _MwSpinnerRec      *MwSpinnerWidget;

#endif /* _MwSpinner_h */
