/*
Copyright (C) 2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

/* 
 * MwSpinnerP.h - Private definitions for MwSpinner widget
 */

#ifndef _MwSpinnerP_h
#define _MwSpinnerP_h

/***********************************************************************
 *
 * MwSpinner Widget Private Data
 *
 ***********************************************************************/

#include "MwSpinner.h"
#include <X11/Xmu/Converters.h>

/* New fields for the MwSpinner widget class record */
typedef struct {int empty;} MwSpinnerClassPart;

/* Full class record declaration */
typedef struct _MwSpinnerClassRec {
    CoreClassPart	core_class;
    CompositeClassPart  composite_class;
    MwFrameClassPart	frame_class;
    MwSpinnerClassPart	spinner_class;
} MwSpinnerClassRec;

extern MwSpinnerClassRec mwSpinnerClassRec;

/* New fields for the MwSpinner widget record */
typedef struct {
    /* resources */
	int min, max, step, value;
	XtCallbackList callbacks;

    /* private state */
	Widget up, down, text;
} MwSpinnerPart;


/****************************************************************
 *
 * Full instance record declaration
 *
 ****************************************************************/

typedef struct _MwSpinnerRec {
    CorePart	    core;
    CompositePart   composite;
    MwFramePart	    frame;
    MwSpinnerPart	    spinner;
} MwSpinnerRec;

#endif /* _MwSpinnerP_h */
