/*
Copyright (C) 2000-2001  Ulric Eriksson <ulric@siag.nu>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
AUTHOR BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*/

#ifndef s_MwTabstop_h
#define s_MwTabstop_h

/****************************************************************
 *
 * MwTabstop widget
 *
 ****************************************************************/

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 mwTabstopData	     MwTabstopData		Pointer		NULL
 mwTabstopExpose	     MwTabstopExpose	Pointer		NULL
 destroyCallback     Callback		Pointer		NULL
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0

*/

/* define any special resource names here that are not in <X11/StringDefs.h> */

#ifndef XtNleftMargin
#define XtNleftMargin "leftMargin"
#define XtCLeftMargin "LeftMargin"
#endif
#ifndef XtNrightMargin
#define XtNrightMargin "rightMargin"
#define XtCRightMargin "RightMargin"
#endif
#ifndef XtNpaperWidth
#define XtNpaperWidth "paperWidth"
#define XtCPaperWidth "PaperWidth"
#endif
#ifndef XtNtabstopTopCol
#define XtNtabstopTopCol "tabstopTopCol"
#define XtCTabstopTopCol "TabstopTopCol"
#endif
#ifndef XtNzoom
#define XtNzoom "zoom"
#define XtCZoom "Zoom"
#endif
#ifndef XtNtabs
#define XtNtabs "tabs"
#define XtCTabs "Tabs"
#endif

/* declare specific MwTabstopWidget class and instance datatypes */

typedef struct s_MwTabstopClassRec*	MwTabstopWidgetClass;
typedef struct s_MwTabstopRec*		MwTabstopWidget;

/* declare the class constant */

extern WidgetClass mwTabstopWidgetClass;

typedef struct MwTabstop {
        char j; /* l(eft), c(enter), r(ight) */
        int x;
} MwTabstop;

extern MwTabstop MwTabstopNextStop(Widget, int);
extern void MwTabstopSetZoom(Widget, float);
extern MwTabstop *MwGetTabs(char *);
extern MwTabstop MwNextTab(MwTabstop *, int);

#endif /* s_MwTabstop_h */

